package com.bocloud.cmp.model;

/**
 * 专用vlan业务类
 *
 * @author wangyu
 * @version 1.0
 * @since 2017年11月29日
 */
public class PVlanModel {
    private int primaryVlanId;// 主专用vlanID
    private int secondaryVlanId;// 次专用vlanID
    private String pvlanType;// vlan类型(community团体/isolated隔离/promiscuous混杂)

    /**
     *
     */
    public PVlanModel() {
        super();
    }

    /**
     * @param primaryVlanId
     * @param secondaryVlanId
     * @param pvlanType
     */
    public PVlanModel(int primaryVlanId, int secondaryVlanId, String pvlanType) {
        super();
        this.primaryVlanId = primaryVlanId;
        this.secondaryVlanId = secondaryVlanId;
        this.pvlanType = pvlanType;
    }

    /**
     * @return the primaryVlanId
     */
    public int getPrimaryVlanId() {
        return primaryVlanId;
    }

    /**
     * @param primaryVlanId the primaryVlanId to set
     */
    public void setPrimaryVlanId(int primaryVlanId) {
        this.primaryVlanId = primaryVlanId;
    }

    /**
     * @return the secondaryVlanId
     */
    public int getSecondaryVlanId() {
        return secondaryVlanId;
    }

    /**
     * @param secondaryVlanId the secondaryVlanId to set
     */
    public void setSecondaryVlanId(int secondaryVlanId) {
        this.secondaryVlanId = secondaryVlanId;
    }

    /**
     * @return the pvlanType
     */
    public String getPvlanType() {
        return pvlanType;
    }

    /**
     * @param pvlanType the pvlanType to set
     */
    public void setPvlanType(String pvlanType) {
        this.pvlanType = pvlanType;
    }
}
